<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="RoomTypeScene" table="tb_RoomTypeScene">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <many-to-one name="RoomType" column="RoomTypeID" class="RoomType" cascade="none" foreign-key="FK_tb_RoomTypeScene_tb_RoomType" />
    <property name="Type" column="Type" type="SceneType" />
    <property name="Name" column="Name" type="string" />
    <property name="EnglishName" column="EnglishName" type="string" />
    <property name="TWName" column="TWName" type="string"  />
    <property name="AppApply" column="AppApply" type="bool" />
    <property name="GroupAddress" column="GroupAddress" type="string" />
    <property name="Icon" column="Icon" type="string" />
    <property name="Sort" column="Sort" type="int"  />
    <property name="HotelID" column="HotelID" type="int"  />
    <property name="ActiveIndicator" column="ActiveIndicator" type="bool"  />
    <property name="TakeInverse" column="TakeInverse" type="bool"  />
    <property name="AliasName" column="AliasName" type="string" />
  </class>
</hibernate-mapping>